C" [IFNDEF]" FIND NIP 0=
[IF] _nn/lib/ifdef.f
[THEN]

C" MODULE:" FIND NIP 0=
[IF] src/compiler/spf_modules.f
[THEN]

MODULE:  MAPMODULE 

HEADER mapCallTable

;MODULE

[IFNDEF] MAP_INIT

: MAP_INTERPRET
  BEGIN
    PARSE-WORD     DUP
  WHILE
     ['] MAPMODULE >BODY  @
      SEARCH-WORDLIST
    IF DROP
	>IN 0!
	PARSE-WORD ?SLITERAL CONSTANT
    ELSE
    THEN
  REPEAT 2DROP
;

: MAP_INIT
  &INTERPRET @ >R
  ['] MAP_INTERPRET   &INTERPRET !
  S" ../messy.map" ['] INCLUDED CATCH
  R> &INTERPRET !
  THROW

;

[THEN]

MAP_INIT
